aboutsummaryrefslogtreecommitdiff
path: root/yoga/bin
diff options
context:
space:
mode:
authorCamil Staps2024-09-07 17:49:35 +0200
committerCamil Staps2024-09-07 17:49:35 +0200
commitca5e52c50b0a62ef4e865a048c872b4a23c4c3ae (patch)
tree979d820a749061cbdf9711e04556fdc737e856f0 /yoga/bin
parentncdu: disable colors (diff)
Fix setmonitor script if no external monitor is attached
Diffstat (limited to 'yoga/bin')
-rwxr-xr-xyoga/bin/setmonitor2
1 files changed, 1 insertions, 1 deletions
diff --git a/yoga/bin/setmonitor b/yoga/bin/setmonitor
index f9fa5c1..33aeff9 100755
--- a/yoga/bin/setmonitor
+++ b/yoga/bin/setmonitor
@@ -10,7 +10,7 @@ if [ $# -ne 2 ]; then
fi
MONITORS="$(xrandr --listactivemonitors | tail -n +2 | cut -d'+' -f2 | cut -d' ' -f1 | sed 's/^\*//')"
-EXTERNAL_MONITORS="$(echo $MONITORS | tr ' ' '\n' | grep -v eDP)"
+EXTERNAL_MONITORS="$(echo $MONITORS | tr ' ' '\n' | grep -v eDP || true)"
# Usage: brightness MONITOR
brightness () {